#!/bin/bash

echo "Increasing minor version"
cd base
VERSION=$(npm --no-git-tag-version version minor)
yarn
yarn upgrade --latest
rm yarn.lock
rm -r node_modules
cd ..

echo "Pushing version change"
git add .
git commit -m "Upgrade core Managed API to $VERSION [skip ci]"
git push