#!/bin/bash

echo "Increasing minor versions for all environments"
for env in environment/* ;
do
    cd $env
    npm --no-git-tag-version version minor
    yarn
    yarn upgrade --latest
    rm yarn.lock
    rm -r node_modules
    cd ../..
done

echo "Pushing version change"
git add .
git commit -m "Upgrade versions for environment Managed APIs [skip ci]"
git push