#!/bin/bash

parent_commit_count=$(git cat-file -p $BITBUCKET_COMMIT | grep -o -i parent | wc -l)
echo $parent_commit_count

if [ "${parent_commit_count}" = "2" ]
then
    echo "Commit $BITBUCKET_COMMIT has two parents. Hence this is a merge commit"
    echo "Proceeding with build"
else
    echo "Commit $BITBUCKET_COMMIT is not a merge commit, Exiting Build"
    exit 1 
fi