#!/bin/bash

echo "Renaming the configuration files"
mv .npmrc .npmrc-prefix
mv .yarnrc .yarnrc-prefix

echo "Building..."
cd dist
rm -rf dist
cd ..
yarn build

echo "Publishing to npm"
cd dist/dist
yarn publish
cd ..
cd ..

echo "Reverting the configuration files renaming"
mv .npmrc-prefix .npmrc
mv .yarnrc-prefix .yarnrc